<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/AccessoryMotorOneWay.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('AccessoryMotorOneWay_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryMotorOneWay.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __accessoryMotorOneWay_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __accessoryMotorOneWay_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;AccessoryMotor.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef NO_MOTOR</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef NO_MOTORONEWAY</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="classAccessoryMotorOneWay.html">   12</a></span>&#160;<span class="keyword">class </span><a class="code" href="classAccessoryMotorOneWay.html">AccessoryMotorOneWay</a> : <span class="keyword">public</span> <a class="code" href="classAccessoryMotor.html">AccessoryMotor</a></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;{</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classAccessoryMotorOneWay.html#a0fbc14b00bd9a378c6766edb4202e904">   16</a></span>&#160;        <span class="keyword">inline</span> <a class="code" href="classAccessoryMotorOneWay.html#a0fbc14b00bd9a378c6766edb4202e904">AccessoryMotorOneWay</a>() {}</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        </div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classAccessoryMotorOneWay.html#abc07cfee91d8005488add0bbc48fdbd4">   23</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryMotorOneWay.html#abc07cfee91d8005488add0bbc48fdbd4">MoveRight</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0, <span class="keywordtype">int</span> inSpeed = 0) { <a class="code" href="classAccessoryMotor.html#a839204c654909fd47f6af1595b590d7e">MoveLeft</a>(inDuration, inSpeed); }</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classAccessoryMotorOneWay.html#a75a17419edcc3f3e44501190799e98dc">   30</a></span>&#160;        <span class="keyword">inline</span> ACC_STATE <a class="code" href="classAccessoryMotorOneWay.html#a75a17419edcc3f3e44501190799e98dc">MoveToggle</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0, <span class="keywordtype">int</span> inSpeed = 0) { <a class="code" href="classAccessoryMotor.html#a839204c654909fd47f6af1595b590d7e">MoveLeft</a>(inDuration, inSpeed); <span class="keywordflow">return</span> LEFT; }</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <span class="keywordtype">void</span> printAccessory();</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;};</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#endif </span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classAccessoryMotorOneWay_html_a75a17419edcc3f3e44501190799e98dc"><div class="ttname"><a href="classAccessoryMotorOneWay.html#a75a17419edcc3f3e44501190799e98dc">AccessoryMotorOneWay::MoveToggle</a></div><div class="ttdeci">ACC_STATE MoveToggle(unsigned long inDuration = 0, int inSpeed = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotorOneWay_8hpp_source.html#l00030">AccessoryMotorOneWay.hpp:30</a></div></div>
<div class="ttc" id="classAccessoryMotorOneWay_html_abc07cfee91d8005488add0bbc48fdbd4"><div class="ttname"><a href="classAccessoryMotorOneWay.html#abc07cfee91d8005488add0bbc48fdbd4">AccessoryMotorOneWay::MoveRight</a></div><div class="ttdeci">void MoveRight(unsigned long inDuration = 0, int inSpeed = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotorOneWay_8hpp_source.html#l00023">AccessoryMotorOneWay.hpp:23</a></div></div>
<div class="ttc" id="classAccessoryMotorOneWay_html_a0fbc14b00bd9a378c6766edb4202e904"><div class="ttname"><a href="classAccessoryMotorOneWay.html#a0fbc14b00bd9a378c6766edb4202e904">AccessoryMotorOneWay::AccessoryMotorOneWay</a></div><div class="ttdeci">AccessoryMotorOneWay()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotorOneWay_8hpp_source.html#l00016">AccessoryMotorOneWay.hpp:16</a></div></div>
<div class="ttc" id="classAccessoryMotor_html"><div class="ttname"><a href="classAccessoryMotor.html">AccessoryMotor</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00033">AccessoryMotor.hpp:33</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a839204c654909fd47f6af1595b590d7e"><div class="ttname"><a href="classAccessoryMotor.html#a839204c654909fd47f6af1595b590d7e">AccessoryMotor::MoveLeft</a></div><div class="ttdeci">virtual void MoveLeft(unsigned long inDuration = 0, int inSpeed = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00091">AccessoryMotor.hpp:91</a></div></div>
<div class="ttc" id="classAccessoryMotorOneWay_html"><div class="ttname"><a href="classAccessoryMotorOneWay.html">AccessoryMotorOneWay</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotorOneWay_8hpp_source.html#l00012">AccessoryMotorOneWay.hpp:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>AccessoryMotorOneWay.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
